Por que o JavaFX não está incluído no OpenJDK 8 no Ubuntu Wily (15.10)?

Eu baixei o OpenJDK 8 hoje via sudo apt-get install openjdk-8-jdk e parece que o JavaFX não está incluído nele.

 > java -version openjdk version "1.8.0_66-internal" OpenJDK Runtime Environment (build 1.8.0_66-internal-b17) OpenJDK Server VM (build 25.66-b17, mixed mode) 

Eu instalei E (fx) clipse no mais recente Eclipse (Eclipse Mars) também, mas eu ainda estou recebendo mensagem javafx não pôde ser resolvido .

    De acordo com a lista de pacotes no Ubuntu Wily Xenial, existe um pacote chamado openjfx . Isso deve ser um candidato para o que você está procurando:

    JavaFX / OpenJFX 8 – plataforma de aplicativos rich client para Java

    Você pode instalá-lo via:

     sudo apt-get install openjfx 

    Ele fornece os seguintes arquivos JAR para a instalação do OpenJDK nos sistemas Ubuntu:

     /usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext/jfxrt.jar /usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfxswt.jar /usr/lib/jvm/java-8-openjdk-amd64/lib/ant-javafx.jar /usr/lib/jvm/java-8-openjdk-amd64/lib/javafx-mx.jar 

    Se você quiser ter fonts disponíveis, por exemplo, para debugging, você pode instalar adicionalmente:

     sudo apt-get install openjfx-source 

    Eu uso o Ubuntu 16.04 e porque eu já tinha openJDK instalado, este comando resolveu o problema. Não se esqueça que o JavaFX faz parte do OpenJDK.

     sudo apt-get install openjfx